# Uses of Class
it.tdlight.jni.TdApi.UserPrivacySettingRules

## Uses of TdApi.UserPrivacySettingRules in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.UserPrivacySettingRules
Modifier and Type
Field
Description
`TdApi.UserPrivacySettingRules`
TdApi.SetUserPrivacySettingRules.`rules`
The new privacy rules.
`TdApi.UserPrivacySettingRules`
TdApi.UpdateUserPrivacySettingRules.`rules`
New privacy rules.
Constructors in it.tdlight.jni with parameters of type TdApi.UserPrivacySettingRules
Modifier
Constructor
Description
``
`SetUserPrivacySettingRules(TdApi.UserPrivacySetting setting, TdApi.UserPrivacySettingRules rules)`
Changes user privacy settings.
``
`UpdateUserPrivacySettingRules(TdApi.UserPrivacySetting setting, TdApi.UserPrivacySettingRules rules)`
Some privacy setting rules have been changed.